%define name bibs
%define version 0.9.1
%define release %mkrel 1

Summary:   Bibs - cross country meet scoring program
Name:	   %{name}
Version:   %{version}
Release:   %{release}
License:   GPL
Group:	   Office
URL:	   http://bibs.sourceforge.net/index.php
Source:   %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildArch: noarch
Requires:  python >= 2.5
Requires:  wxPythonGTK
Requires:  abiword
Requires:  evince
Requires:  glibc >= 2.10.1
Requires:  libstdc++6 >= 4.4.1
Obsoletes: %name < %version

%description
Bibs is a cross-platform cross country meet scoring program.Bibs provides 
pre-meet setup, race day finish data entry and scoring, and printable results 
for cross country meets.

%prep
%setup -q 

%build

%install
rm -rf %{buildroot}
#launcher
mkdir -p %buildroot%_bindir
cat > %buildroot%_bindir/%{name} << EOF
#!/bin/sh
cd %_datadir/%{name}
python bibs.py
EOF
chmod +x %{buildroot}%{_bindir}/%{name}

%__install -dm 755 %{buildroot}%{_datadir}/%{name}
cp -af help images *.py *.wxg %{buildroot}%{_datadir}/%{name}

%__install -dm 755 %{buildroot}%{_datadir}/pixmaps
%__install -m  644 images/%{name}32.png %{buildroot}%{_datadir}/pixmaps/%{name}.png
convert %{buildroot}%{_datadir}/pixmaps/%{name}.png -resize 48x48 \
%{buildroot}%{_datadir}/pixmaps/%{name}.png

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Bibs
Comment=Cross country meet scoring program
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=GNOME;GTK;Office;X-MandrivaLinux-Office-Accessories;
EOF

%clean
rm -rf %{buildroot}

%post
%update_menus

%postun
%clean_menus


%files 
%defattr(-,root,root)
%doc ChangeLog COPYING
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop


%changelog
* Wed Oct 14 2009 slick50 <lxgator@gmail.com> 0.9.1-1pclos2010
- initial pkg

